﻿'
' Copyright (c) 2009-2015, MindFusion LLC - Bulgaria.
'

Imports MindFusion.Scheduling
Imports MindFusion.Scheduling.WebForms
Imports System.Drawing

Partial Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            LoadCalendarData()
            StyleCalendar()
        End If
    End Sub

    Private Sub LoadCalendarData()
        ' Set up the Calendar
        Calendar1.[Date] = DateTime.Today
        Calendar1.EndDate = Calendar1.[Date].AddDays(4)

        ' Create some contacts
        Calendar1.Schedule.Contacts.Add(New Contact() With { _
          .FirstName = "Mike" _
        })
        Calendar1.Schedule.Contacts.Add(New Contact() With { _
          .FirstName = "Greg" _
        })
        Calendar1.Schedule.Contacts.Add(New Contact() With { _
          .FirstName = "Tom" _
        })
        Calendar1.Schedule.Contacts.Add(New Contact() With { _
          .FirstName = "Mando" _
        })
        Calendar1.Schedule.Contacts.Add(New Contact() With { _
          .FirstName = "Alfredo" _
        })
        Calendar1.Schedule.Contacts.Add(New Contact() With { _
          .FirstName = "Chuck" _
        })
        Calendar1.Schedule.Contacts.Add(New Contact() With { _
          .FirstName = "JJ" _
        })
        Calendar1.Schedule.Contacts.Add(New Contact() With { _
          .FirstName = "Luis" _
        })
        Calendar1.Schedule.Contacts.Add(New Contact() With { _
          .FirstName = "Scott" _
        })
        Calendar1.Schedule.Contacts.Add(New Contact() With { _
          .FirstName = "Ramon" _
        })

        ' Add the created contacts to the calendar contacts collection
        For Each contact As Contact In Calendar1.Schedule.Contacts
            Calendar1.Contacts.Add(contact)
        Next

        ' Create some predefined styles
        Dim color1 As Color = Color.FromArgb(254, 249, 207)
        Dim color2 As Color = Color.FromArgb(254, 192, 203)
        Dim textColor As Color = Color.FromArgb(22, 88, 92)

        Dim officeStyle As New ItemStyle()
        officeStyle.HeaderFont.Underline = True
        officeStyle.HeaderFont.Name = "Verdana"
        officeStyle.HeaderTextAlignment = TextAlignment.MiddleCenter
        officeStyle.HeaderTextColor = textColor
        officeStyle.Brush.Color = color1

        Dim researchStyle As New ItemStyle()
        researchStyle.SetProperties(officeStyle.GetProperties())
        researchStyle.Brush.Color = color2

        ' Create the appointments
        Dim app As Appointment

        app = New Appointment()
        app.StartTime = DateTime.Today
        app.EndTime = DateTime.Today.AddDays(1)
        app.Contacts.Add(Calendar1.Schedule.Contacts(0))
        app.HeaderText = "21965 Carbon Mesa Rd (1)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today
        app.EndTime = DateTime.Today.AddDays(1)
        app.Contacts.Add(Calendar1.Schedule.Contacts(0))
        app.HeaderText = "777 Ocampo Dr (1)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today
        app.EndTime = DateTime.Today.AddDays(1)
        app.Contacts.Add(Calendar1.Schedule.Contacts(0))
        app.HeaderText = "401 Almar Ave (1)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today
        app.EndTime = DateTime.Today.AddDays(1)
        app.Contacts.Add(Calendar1.Schedule.Contacts(0))
        app.HeaderText = "16680 Charmel Ln (1)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today
        app.EndTime = DateTime.Today.AddDays(1)
        app.Contacts.Add(Calendar1.Schedule.Contacts(0))
        app.HeaderText = "10785 Queensland St (1)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today
        app.EndTime = DateTime.Today.AddDays(1)
        app.Contacts.Add(Calendar1.Schedule.Contacts(0))
        app.HeaderText = "1237 25th St (1)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today
        app.EndTime = DateTime.Today.AddDays(1)
        app.Contacts.Add(Calendar1.Schedule.Contacts(0))
        app.HeaderText = "3569 Veteran Ave (1)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today.AddDays(1)
        app.EndTime = DateTime.Today.AddDays(2)
        app.Contacts.Add(Calendar1.Schedule.Contacts(0))
        app.HeaderText = "242 Aderno Way (1)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today
        app.EndTime = DateTime.Today.AddDays(1)
        app.Contacts.Add(Calendar1.Schedule.Contacts(1))
        app.Contacts.Add(Calendar1.Schedule.Contacts(8))
        app.HeaderText = "8359 Hollywood Blvd (17)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today
        app.EndTime = DateTime.Today.AddDays(1)
        app.Contacts.Add(Calendar1.Schedule.Contacts(1))
        app.HeaderText = "2788 Monte Mar Ter (14)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today.AddDays(1)
        app.EndTime = DateTime.Today.AddDays(2)
        app.Contacts.Add(Calendar1.Schedule.Contacts(1))
        app.Contacts.Add(Calendar1.Schedule.Contacts(2))
        app.Contacts.Add(Calendar1.Schedule.Contacts(3))
        app.Contacts.Add(Calendar1.Schedule.Contacts(4))
        app.Contacts.Add(Calendar1.Schedule.Contacts(5))
        app.Contacts.Add(Calendar1.Schedule.Contacts(6))
        app.Contacts.Add(Calendar1.Schedule.Contacts(7))
        app.Contacts.Add(Calendar1.Schedule.Contacts(8))
        app.Contacts.Add(Calendar1.Schedule.Contacts(8))
        app.HeaderText = "Office"
        app.Style = officeStyle
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today.AddDays(2)
        app.EndTime = DateTime.Today.AddDays(3)
        app.Contacts.Add(Calendar1.Schedule.Contacts(2))
        app.Contacts.Add(Calendar1.Schedule.Contacts(4))
        app.Contacts.Add(Calendar1.Schedule.Contacts(5))
        app.Contacts.Add(Calendar1.Schedule.Contacts(6))
        app.Contacts.Add(Calendar1.Schedule.Contacts(7))
        app.Contacts.Add(Calendar1.Schedule.Contacts(9))
        app.HeaderText = "Research"
        app.Style = researchStyle
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today.AddDays(2)
        app.EndTime = DateTime.Today.AddDays(3)
        app.Contacts.Add(Calendar1.Schedule.Contacts(1))
        app.Contacts.Add(Calendar1.Schedule.Contacts(5))
        app.HeaderText = "11301 Wilshire Blvd. (43)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today
        app.EndTime = DateTime.Today.AddDays(1)
        app.Contacts.Add(Calendar1.Schedule.Contacts(2))
        app.Contacts.Add(Calendar1.Schedule.Contacts(8))
        app.HeaderText = "6200 San Fernando Rd (?)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today.AddDays(2)
        app.EndTime = DateTime.Today.AddDays(3)
        app.Contacts.Add(Calendar1.Schedule.Contacts(2))
        app.Contacts.Add(Calendar1.Schedule.Contacts(6))
        app.HeaderText = "247 W San Bernardino Rd (17)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today
        app.EndTime = DateTime.Today.AddDays(1)
        app.Contacts.Add(Calendar1.Schedule.Contacts(3))
        app.Contacts.Add(Calendar1.Schedule.Contacts(6))
        app.HeaderText = "1156 Napoli Dr (6)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today
        app.EndTime = DateTime.Today.AddDays(1)
        app.Contacts.Add(Calendar1.Schedule.Contacts(3))
        app.Contacts.Add(Calendar1.Schedule.Contacts(7))
        app.HeaderText = "1801 San Vicente Blvd (16)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today.AddDays(2)
        app.EndTime = DateTime.Today.AddDays(3)
        app.Contacts.Add(Calendar1.Schedule.Contacts(3))
        app.Contacts.Add(Calendar1.Schedule.Contacts(8))
        app.HeaderText = "245 Maple Dr (7)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today.AddDays(3)
        app.EndTime = DateTime.Today.AddDays(4)
        app.Contacts.Add(Calendar1.Schedule.Contacts(3))
        app.Contacts.Add(Calendar1.Schedule.Contacts(6))
        app.HeaderText = "162 Acari Dr (16)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today
        app.EndTime = DateTime.Today.AddDays(1)
        app.Contacts.Add(Calendar1.Schedule.Contacts(4))
        app.Contacts.Add(Calendar1.Schedule.Contacts(5))
        app.HeaderText = "427 Mesa Lila Rd (21)"
        Calendar1.Schedule.Items.Add(app)

        app = New Appointment()
        app.StartTime = DateTime.Today.AddDays(3)
        app.EndTime = DateTime.Today.AddDays(4)
        app.Contacts.Add(Calendar1.Schedule.Contacts(5))
        app.Contacts.Add(Calendar1.Schedule.Contacts(6))
        app.HeaderText = "2201 Beverly Dr (41)"
        Calendar1.Schedule.Items.Add(app)
    End Sub

    Private Sub StyleCalendar()
        Dim rsettings As ResourceViewSettings = Calendar1.ResourceViewSettings

        rsettings.Style.Brush.Color = Color.White
        rsettings.Style.Brush.Image = "none"
        rsettings.Style.Borders.AllColor = Color.Silver
        rsettings.Style.Borders.AllStyle = BorderStyle.Solid
        rsettings.Style.Borders.AllWidth = New Unit(1, UnitType.Pixel)

        rsettings.MainHeaderStyle.Brush.Color = Color.White
        rsettings.MainHeaderStyle.Brush.Image = "none"
        rsettings.MainHeaderStyle.TextColor = Color.Gray
        rsettings.MainHeaderStyle.Borders.BottomColor = Color.Silver
        rsettings.MainHeaderStyle.Borders.BottomStyle = BorderStyle.Solid
        rsettings.MainHeaderStyle.Borders.BottomWidth = New Unit(1, UnitType.Pixel)

        rsettings.GroupHeaderStyle.Brush.Color = Color.White
        rsettings.GroupHeaderStyle.Brush.Image = "none"
        rsettings.GroupHeaderStyle.TextColor = Color.Gray
        rsettings.GroupHeaderStyle.Borders.RightColor = Color.Silver
        rsettings.GroupHeaderStyle.Borders.RightStyle = BorderStyle.Solid
        rsettings.GroupHeaderStyle.Borders.RightWidth = New Unit(1, UnitType.Pixel)
        rsettings.GroupHeaderStyle.Borders.BottomColor = Color.Silver
        rsettings.GroupHeaderStyle.Borders.BottomStyle = BorderStyle.Solid
        rsettings.GroupHeaderStyle.Borders.BottomWidth = New Unit(1, UnitType.Pixel)

        rsettings.GridStyle.Borders.BottomColor = Color.Silver
        rsettings.GridStyle.Borders.BottomStyle = BorderStyle.Solid
        rsettings.GridStyle.Borders.BottomWidth = New Unit(1, UnitType.Pixel)
        rsettings.GridStyle.Borders.RightColor = Color.Silver
        rsettings.GridStyle.Borders.RightStyle = BorderStyle.Solid
        rsettings.GridStyle.Borders.RightWidth = New Unit(1, UnitType.Pixel)

    End Sub
End Class